Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512540 - python3 has a wrong stream and fails installation
Summary: python3 has a wrong stream and fails installation
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-modular-release
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ModularServer27GA
TreeView+ depends on / blocked
 
Reported: 2017-11-13 13:15 UTC by Irina Gulina
Modified: 2018-02-20 15:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
dnf module install python3 logs (deleted)
2017-11-13 13:15 UTC, Irina Gulina
no flags Details

Description Irina Gulina 2017-11-13 13:15:06 UTC
Created attachment 1351567 [details]
dnf module install python3 logs

Description of problem:
Python3 fails installation with an error: "No such module". See the logs attached. 

[1] says it has 'master' stream
[2, 3] say it's '3.6' stream

[1] https://github.com/sgallagher/boltron-27/blob/master/base-27.defaults#L146
[2] https://github.com/fedora-modularity/f27-content-tracking
[3] https://pagure.io/pungi-fedora/blob/f27/f/variants-modular.xml#_42

Comment 1 Stephen Gallagher 2017-11-13 13:32:47 UTC
Yeah, I noticed this during the beta testing, but it wasn't blocking since the actual python3 interpreter comes out of the platform module. We'll fix it before GA though.

Comment 2 Stephen Gallagher 2017-11-14 20:16:45 UTC
This is fixed in the latest fedora-modular-release package, so the default should now be 3.6 everywhere. It will be in the next successful compose.

Comment 3 Stephen Gallagher 2017-11-20 21:16:13 UTC
This is still not working as of Fedora-Modular-27-20171120.n.3 because the python3 module has no profile named "default" (or any other profile, in fact). This needs to be corrected.

Comment 4 Fedora End Of Life 2018-02-20 15:21:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.


Note You need to log in before you can comment on or make changes to this bug.